Main Page Widgets Namespaces Book

# Gdk::PixbufFormat Class Reference

List of all members.

## Public Member Functions

| PixbufFormat ()
| PixbufFormat (const GdkPixbufFormat* gobject)
virtual | ~PixbufFormat ()
| PixbufFormat (const PixbufFormat& src)
PixbufFormat& | operator= (const PixbufFormat& src)
Glib::ustring | get_name () const
Glib::ustring | get_description () const
Glib::StringArrayHandle | get_mime_types () const
Glib::StringArrayHandle | get_extensions () const
bool | is_writable () const
GdkPixbufFormat* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixbufFormat* | gobj () const
| Provides access to the underlying C GObject.

## Protected Attributes

const GdkPixbufFormat* | gobject_

## Constructor & Destructor Documentation

Gdk::PixbufFormat::PixbufFormat | ( |  | ) |

Gdk::PixbufFormat::PixbufFormat | ( | const GdkPixbufFormat* | gobject | ) | `[explicit]`

virtual Gdk::PixbufFormat::~PixbufFormat | ( |  | ) | `[virtual]`

Gdk::PixbufFormat::PixbufFormat | ( | const PixbufFormat& | src | ) |

## Member Function Documentation

Glib::ustring Gdk::PixbufFormat::get_description | ( |  | ) | const

Glib::StringArrayHandle Gdk::PixbufFormat::get_extensions | ( |  | ) | const

Glib::StringArrayHandle Gdk::PixbufFormat::get_mime_types | ( |  | ) | const

Glib::ustring Gdk::PixbufFormat::get_name | ( |  | ) | const

const GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject.

GdkPixbufFormat* Gdk::PixbufFormat::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject.

bool Gdk::PixbufFormat::is_writable | ( |  | ) | const

PixbufFormat& Gdk::PixbufFormat::operator= | ( | const PixbufFormat& | src | ) |

## Member Data Documentation

const GdkPixbufFormat* Gdk::PixbufFormat::gobject_`[protected]`

The documentation for this class was generated from the following file:

- pixbufformat.h